    package com.example.hangry;

    import org.springframework.data.jpa.repository.JpaRepository;
    import org.springframework.stereotype.Repository;

    @Repository
    public interface UserRepository extends JpaRepository<User, Long> {

        // Benutzerdefinierte Abfrage: Benutzer nach Benutzernamen finden
        User findByUsername(String username);

        // Benutzerdefinierte Abfrage: Benutzer nach E-Mail finden
        User findByEmail(String email);
    }

